//
// Created by xfj12 on 2025/3/25.
//
#include <gtest/gtest.h>
#include <solution/3427.h>

TEST(SubarraySumTest, Test1)
{
    int nums[] = {2, 3, 1};
    int result = subarraySum(nums, 3);
    EXPECT_EQ(result, 11);
}

TEST(SubarraySumTest, Test2)
{
    int nums[] = {3, 1, 1, 2};
    int result = subarraySum(nums, 4);
    EXPECT_EQ(result, 13);
}